.page {
  font-family: var(--main-font), Arial, sans-serif;
  background-image: var(--page-gradient);
  background-size: cover;
  background-attachment: fixed;
  min-inline-size: 320px;
  min-block-size: 100dvb;
  font-variation-settings: 'wght' var(--main-text-weight);
}

.header {
  box-sizing: border-box;
  width: var(--container-width);
  margin: 0 auto;
  margin-top: 100px;
  margin-block-end: 98px;
  border: 2px solid #000;
  padding: var(--header-padding-vertical) var(--header-padding-horizontal);
  text-align: center;
  background-color: #FFFFFF;
}

.header__logo {
  padding-bottom: 20px;
  font-family: var(--accent-font), fantasy;
  font-size: var(--logo-font-size);
  text-transform: uppercase;
}

.header__heading {
  font-family: var(--accent-font), fantasy;
  font-size: var(--heading-font-size);
  text-transform: uppercase;
}

.cards-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 50px;
}

.cards-list__item {
  width: var(--container-width);
  border: 2px solid #000;
  background-color: #FFFFFF;
}

.card__heading {
  margin: 4px 10px;
  font-size: 18px;
  font-variation-settings: 'wght' var(--card-heading-weight);
}

.image-container {
  position: relative;
  display: block;
  width: 100%;
}

.card__image {
  width: 100%;
  border: 2px solid #000;
  height: 696px;
  object-fit: cover;
}

.brightness-image {
  filter: brightness(175%);
}

.contrast-image {
  filter: contrast(30%);
}

.grayscale-image {
  filter: grayscale(0.6);
}

.saturate-image {
  filter: saturate(175%);
}

.sepia-image {
  filter: sepia(55%);
}

.blur-image {
  filter: blur(0.1rem);
}

.multiple-filter {
  filter: opacity(0.9) saturate(200%) hue-rotate(-45deg);
}

.card__label {
  position: absolute;
  top: 25px;
  right: 25px;
  z-index: 2;
  opacity: 50%;
  color: #000;
  font-family: var(--accent-font), fantasy;
  font-size: 14px;
  text-transform: uppercase;
  mix-blend-mode: hard-light;
  text-shadow: 1px #fff;
}

@supports(-webkit-text-stroke:1px #fff) {
  .card__label {
    -webkit-text-stroke: 1px #fff;
    text-shadow: none;
  }
}

.card__text-content {
  display: flex;
  flex-direction: column;
  gap: 25px;
  padding: 25px 25px;
}

.text__description {
  font-size: 18px;
  line-height: 21px;
  font-variation-settings: 'wght' var(--main-text-weight);
}

.card__icon-button {
  border: 2px solid transparent;
  outline: none;
  background-color: transparent;
  transition: border-color 0.3s ease;
  cursor: pointer;

  display: flex;
  align-items: center;
  justify-content: center;
  padding-right: 4.5px;
}

.card__icon-button:focus-visible {
  border-color: var(--accent-color);
  margin-right: 8px;
  padding: 0;

}

.button__text {
  font-family: var(--accent-font), fantasy;
  font-weight: 400;
  font-size: 14px;
  line-height: 90%;
  margin: 0;
}

.card__like-button {
  box-sizing: border-box;
  width: 130px;

  background-color: transparent;
  overflow: hidden;
  padding: 10.5px 0 5px 0;

}

.card__like-button:focus-visible {
  margin-left: 8px;
}

.button {
  position: relative;
  outline: none;
  overflow: hidden;
  transition: box-shadow 0.3s ease;
  cursor: pointer;
  border: 2px solid #000;
}

.buttons {
  display: flex;
  justify-content: right;
  align-items: center;
  margin-right: 25px;
  margin-bottom: 23px;
  gap: 0;
  margin-top: 2px;
}

.save-to-memory__button {
  display: flex;
  justify-content: center;
  margin-top: 50px;
  margin-bottom: 100px;
}

.modal-window {
  position: fixed;
  inset: 0;
  display: grid;
  justify-items: center;
  align-items: center;
  max-width: 353px;
  margin: auto;
  border: 2px solid #000;
  padding: 30px;
  background-color: #fff;
}

.modal-window:not([open]) {
  opacity: 0;
}

.modal-content {
  display: grid;
  grid-template-columns: 40px 1fr;
  align-items: center;
  gap: 20px;
  margin-bottom: 30px;
}

.modal-window__text {
  margin: 0;
  font-family: var(--accent-font), fantasy;
  font-size: 14px;
  line-height: 1.5;
  text-transform: uppercase;
}

.modal-window__button {
  width: 100%;
  border: 2px solid #000;
  padding: 12.5px 0;
  background-color: transparent;
}

.modal-window::backdrop {
  background-color: rgb(0 0 0 / 0.75);
}

.button:focus {
  box-shadow: 2px 2px 0px #000;
  outline: none;
}

.button:focus-visible {
  outline: 2px solid var(--accent-color);
}

.button::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  transition: transform 0.5s ease-in-out;
  transform: scaleX(0);
  transform-origin: left;
}

.button:hover::before {
  transform: scaleX(1);
}

.button .button__text {
  position: relative;
  z-index: 1;
  color: var(--button-text-color);
  mix-blend-mode: difference;
}

.save-to-memory {
  display: flex;
  align-items: center;
  gap: 8px;
  border: 2px solid #000;
  padding: 16px 18px;
}

.save-to-memory .button__icon {
  position: relative;
  z-index: 1;
  color: var(--button-text-color);
  fill: var(--button-text-color);
  stroke: var(--button-text-color);
  mix-blend-mode: difference;
  width: 21px;
  height: 21px;
}

.modal-window__button .button__text {
  text-transform: uppercase;
}

.sparks {
  opacity: 0;
}

@media(width <=375px) {
  .header {
    width: 100%;
  }

  .card__image {
    height: 371px;
  }

  .buttons {
    margin-top: 7px;
    margin-bottom: 22px;
  }

  .card__like-button {
    padding: 10px 0px 7px;
  }

  .save-to-memory__button {
    flex-direction: column;
  }

  .save-to-memory {
    flex-direction: column;
    align-items: center;
    margin: 0 34.5px;
    padding: 15px 2px;
    gap: 10px;
  }

  .save-to-memory .button__icon {
    width: 28px;
    height: 28px;
  }
}